REST Resource: acceleratorInterconnects

Resource: AcceleratorInterconnectsGetResponse

Response message for AcceleratorInterconnects.Get.

JSON representation
{
  "resource": {
    "id": string,
    "creationTimestamp": string,
    "name": string,
    "description": string,
    "selfLink": string,
    "selfLinkWithId": string,
    "zone": string,
    "acceleratorTopology": string,
    "labels": {
      string: string,
      ...
    },
    "annotations": {
      string: string,
      ...
    },
    "status": {
      "state": enum,
      "stateDetails": {
        "timestamp": string,
        "error": {
          "errors": [
            {
              "code": string,
              "location": string,
              "message": string,
              "errorDetails": [
                {

                  // The following is a list of mutually exclusive fields. At most one of the
                  // fields will be set in a response:
                  "errorInfo": {
                    "reason": string,
                    "domain": string,
                    "metadatas": {
                      string: string,
                      ...
                    }
                  },
                  "quotaInfo": {
                    "metricName": string,
                    "limitName": string,
                    "dimensions": {
                      string: string,
                      ...
                    },
                    "limit": number,
                    "futureLimit": number,
                    "rolloutStatus": enum
                  },
                  "help": {
                    "links": [
                      {
                        "description": string,
                        "url": string
                      }
                    ]
                  },
                  "localizedMessage": {
                    "locale": string,
                    "message": string
                  }
                  // End of mutually exclusive fields.
                }
              ]
            }
          ]
        }
      },
      "acceleratorType": string
    },
    "reactivationMode": enum,
    "params": {
      "capacityPool": {
        "resources": [
          string
        ],
        "partitionIds": [
          string
        ]
      }
    }
  }
}
Fields
resource

object

The accelerator interconnect resource.

Available from version 2026-10-01-preview.

resource.id

string (uint64 format)

Output only. A unique identifier for this resource type.

resource.creationTimestamp

string

Output only. The creation time of this resource in RFC3339 text format.

resource.name

string

The name of the resource. The name must be 1-63 characters long, and comply with RFC1035.

resource.description

string

An optional description of this resource.

resource.selfLink

string

Output only. The fully-qualified URL of this resource.

resource.selfLinkWithId

string

Output only. The fully-qualified URL of this resource containing its unique identifier.

resource.zone

string

Output only. The URL of a zone where the interconnect resides. You must specify this field as part of the HTTP request URL. It is not settable as a field in the request body.

resource.acceleratorTopology

string

The target topology shape (e.g. "4x4x8").

resource.labels

map (key: string, value: string)

The labels for the accelerator interconnect.

resource.annotations

map (key: string, value: string)

The annotations for the accelerator interconnect.

resource.status

object

Output only. The status of the interconnect.

resource.status.state

enum

Output only. The current state of the interconnect.

resource.status.stateDetails

object

Output only. The result of the latest accelerator topology state check.

resource.status.stateDetails.timestamp

string (Timestamp format)

Output only. Timestamp is shown only if there is an error.

Uses RFC 3339, where generated output will always be Z-normalized and use 0, 3, 6 or 9 fractional digits. Offsets other than "Z" are also accepted. Examples: "2014-10-02T15:01:23Z", "2014-10-02T15:01:23.045123456Z" or "2014-10-02T15:01:23+05:30".

resource.status.stateDetails.error

object

Output only. Encountered errors.

resource.status.stateDetails.error.errors[]

object

Output only. The array of errors encountered while processing this operation.

resource.status.stateDetails.error.errors[].code

string

Output only. The error type identifier for this error.

resource.status.stateDetails.error.errors[].location

string

Output only. Indicates the field in the request that caused the error. This property is optional.

resource.status.stateDetails.error.errors[].message

string

Output only. An optional, human-readable error message.

resource.status.stateDetails.error.errors[].errorDetails[]

object

Output only. An optional list of messages that contain the error details. There is a set of defined message types to use for providing details.The syntax depends on the error code. For example, QuotaExceededInfo will have details when the error code is QUOTA_EXCEEDED.

resource.status.stateDetails.error.errors[].errorDetails[].errorInfo

object

Error information containing structured domain, reason, and metadata.

resource.status.stateDetails.error.errors[].errorDetails[].errorInfo.reason

string

The reason of the error. This is a constant value that identifies the proximate cause of the error. Error reasons are unique within a particular domain of errors. This should be at most 63 characters and match a regular expression of [A-Z][A-Z0-9_]+[A-Z0-9], which represents UPPER_SNAKE_CASE.

resource.status.stateDetails.error.errors[].errorDetails[].errorInfo.domain

string

The logical grouping to which the "reason" belongs. The error domain is typically the registered service name of the tool or product that generates the error. Example: "pubsub.googleapis.com". If the error is generated by some common infrastructure, the error domain must be a globally unique value that identifies the infrastructure. For Google API infrastructure, the error domain is "googleapis.com".

resource.status.stateDetails.error.errors[].errorDetails[].errorInfo.metadatas

map (key: string, value: string)

Additional structured details about this error.

Keys must match a regular expression of [a-z][a-zA-Z0-9-_]+ but should ideally be lowerCamelCase. Also, they must be limited to 64 characters in length. When identifying the current value of an exceeded limit, the units should be contained in the key, not the value. For example, rather than {"instanceLimit": "100/request"}, should be returned as, {"instanceLimitPerRequest": "100"}, if the client exceeds the number of instances that can be created in a single (batch) request.

resource.status.stateDetails.error.errors[].errorDetails[].quotaInfo

object

Details about quota limits and metrics when a quota is exceeded.

resource.status.stateDetails.error.errors[].errorDetails[].quotaInfo.metricName

string

The Compute Engine quota metric name.

resource.status.stateDetails.error.errors[].errorDetails[].quotaInfo.limitName

string

The name of the quota limit.

resource.status.stateDetails.error.errors[].errorDetails[].quotaInfo.dimensions

map (key: string, value: string)

The map holding related quota dimensions.

resource.status.stateDetails.error.errors[].errorDetails[].quotaInfo.limit

number

Current effective quota limit. The limit's unit depends on the quota type or metric.

resource.status.stateDetails.error.errors[].errorDetails[].quotaInfo.futureLimit

number

Future quota limit being rolled out. The limit's unit depends on the quota type or metric.

resource.status.stateDetails.error.errors[].errorDetails[].quotaInfo.rolloutStatus

enum

Rollout status of the future quota limit.

resource.status.stateDetails.error.errors[].errorDetails[].help

object

Links and information to help the user resolve the error.

resource.status.stateDetails.error.errors[].errorDetails[].help.links[]

object

URL(s) pointing to additional information on handling the current error.

resource.status.stateDetails.error.errors[].errorDetails[].help.links[].description

string

Describes what the link offers.

resource.status.stateDetails.error.errors[].errorDetails[].help.links[].url

string

The URL of the link.

resource.status.stateDetails.error.errors[].errorDetails[].localizedMessage

object

A localized human-readable error message intended for end users.

resource.status.stateDetails.error.errors[].errorDetails[].localizedMessage.locale

string

The locale used following the specification defined at https://www.rfc-editor.org/rfc/bcp/bcp47.txt. Examples are: "en-US", "fr-CH", "es-MX"

resource.status.stateDetails.error.errors[].errorDetails[].localizedMessage.message

string

The localized error message in the above locale.

resource.status.acceleratorType

string

Output only. The accelerator type (e.g., "TPU7X").

resource.reactivationMode

enum

The reactivation mode for the accelerator interconnect.

resource.params

object

Input only. [Input Only] Additional params passed with the creation request, but not persisted as part of resource payload.

resource.params.capacityPool

object

The capacity pool to use for the accelerator interconnect.

resource.params.capacityPool.resources[]

string

A list of fully qualified resource names that form the logical bounds. Both full and relative URIs are supported.

resource.params.capacityPool.partitionIds[]

string

The list of physical topology block identifiers.

Methods

delete

Deletes the specified accelerator interconnect.

get

Returns all of the details about the specified accelerator interconnect.

insert

Creates an accelerator interconnect using the information that you specify in the request.

list

Retrieves a list of accelerator interconnects that are contained within the specified project and zone.

queryFormability

Queries hierarchical formability over dense reservations.